
Katello - Feature #5261

As a user, I should be able to assign CRUD permissions for Products and Repositories.

04/21/2014 10:34 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Related issues:

Blocks Katello - Feature #5217: As a user, I should have CRUD permissions for... Closed 04/16/2014

Associated revisions

Revision 98064eee - 05/01/2014 11:58 AM - Eric Helms

Fixes #5261: Adds CRUD permissions for Products and Repositories.

Revision 70a76457 - 05/01/2014 03:58 PM - Eric Helms

Fixes #5261: Adds CRUD permissions for Products and Repositories.

Revision a587444e - 05/01/2014 06:24 PM - Eric Helms

Merge pull request #4017 from ehelms/fixes-5261

Fixes #5261: Adds CRUD permissions for Products and Repositories.

History

#1 - 04/21/2014 10:36 PM - Eric Helms

- Blocks Feature #5217: As a user, I should have CRUD permissions for all entities that are exposed to me. added

#2 - 04/23/2014 02:54 PM - Walden Raines

As part of this feature we need to also support the correct permissions (update product) in :available_products, :add_products, and :remove_products

in the sync plan controller.

See https://github.com/Katello/katello/pull/3997#issuecomment-41115377

#3 - 04/28/2014 04:24 PM - Mike McCune

- Target version set to 44

#4 - 05/07/2014 08:00 PM - Eric Helms

- Status changed from Assigned to Closed

#5 - 08/21/2014 02:46 PM - Eric Helms

- translation missing: en.field_release set to 13
